Create a backfill
curl --request POST \
--url https://api.neoagent.io/public-api/backfills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"daily_execution_windows": {
"friday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"monday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"saturday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"sunday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"thursday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"tuesday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"wednesday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
]
},
"filter_spec": {},
"max_in_flight": 5,
"target_workflow_id": 123,
"timezone": "UTC",
"total_estimated": 123
}
'import requests
url = "https://api.neoagent.io/public-api/backfills"
payload = {
"daily_execution_windows": {
"friday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"monday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"saturday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"sunday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"thursday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"tuesday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"wednesday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
]
},
"filter_spec": {},
"max_in_flight": 5,
"target_workflow_id": 123,
"timezone": "UTC",
"total_estimated": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
daily_execution_windows: {
friday: [{run_end_time: '<string>', run_start_time: '<string>'}],
monday: [{run_end_time: '<string>', run_start_time: '<string>'}],
saturday: [{run_end_time: '<string>', run_start_time: '<string>'}],
sunday: [{run_end_time: '<string>', run_start_time: '<string>'}],
thursday: [{run_end_time: '<string>', run_start_time: '<string>'}],
tuesday: [{run_end_time: '<string>', run_start_time: '<string>'}],
wednesday: [{run_end_time: '<string>', run_start_time: '<string>'}]
},
filter_spec: {},
max_in_flight: 5,
target_workflow_id: 123,
timezone: 'UTC',
total_estimated: 123
})
};
fetch('https://api.neoagent.io/public-api/backfills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"backfill": {
"completed_at": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"daily_execution_windows": {
"friday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"monday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"saturday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"sunday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"thursday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"tuesday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
],
"wednesday": [
{
"run_end_time": "<string>",
"run_start_time": "<string>"
}
]
},
"error": "<string>",
"failed_count": 123,
"filter_spec": {},
"id": "<string>",
"max_in_flight": 123,
"processed_count": 123,
"started_at": "<string>",
"succeeded_count": 123,
"target_workflow_id": 123,
"target_workflow_name": "<string>",
"timezone": "<string>",
"total_estimated": 123,
"parent_backfill_run_id": "<string>"
},
"cost_estimate": {
"credits_per_entity": 123,
"total_credits_estimated": 123,
"total_entities": 123
}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timings_ms": {},
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"warnings": [
"<string>"
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Backfills
Create a backfill
Create a backfill against a target workflow. Returns the row plus an upper-bound credit cost estimate. At most one Running or Paused backfill per target workflow per tenant — a second attempt while one is active returns 409 backfill_already_active.
POST
/
public-api
/
backfills
Create a backfill
Authorizations
Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).
Body
application/json
Show child attributes
Show child attributes
Available options:
ticket, project_ticket, task, scheduled_entry, time_entry, project, company, contact, resource, contract, opportunity, none, configuration, note, team, role, audit_trail, appointment, servicecall, contract_service, company_location, product Required range:
1 <= x <= 10⌘I
